
Silo - Feature # 618: const qualify whole Silo API where possible

Status: New Priority: Normal

Author: Mark Miller Category:

Created: 02/16/2011 Assigned to:

Updated: 10/31/2012 Due date:

Impact: 4 - High

Expected Use: 3 - Occasional

OS: All

Support Group: Any

Subject: const qualify whole Silo API where possible

Description: Many silo functions should have most if not all args const qualified. But, they don't. We should audit whole 

api and correct this.





Randy Settgast suggested this.

History

07/24/2012 04:34 pm - Mark Miller

Pauli, Esteban T. <pauli2@llnl.gov> is interested in having this resolved as well.

08/01/2012 07:24 pm - Mark Miller

Shaw Dawson, dawson6@llnl.gov and Scott McKinely, mckinley9@llnl.gov, have requested this

08/31/2012 03:59 am - Mark Miller

- Impact changed from 3 - Medium to 4 - High

10/31/2012 10:31 pm - Mark Miller

There are issues here that are discussed in this reference...





http://c-faq.com/ansi/constmismatch.html





A challenge we face with Silo, a C library, is offering proper const behavior to C++ callers while at the same time not introducing funky warnings to C 

callers.

02/25/2013 1/1


